# Class: MessageHandlers

## MessageHandlers

#### new MessageHandlers(options)

All incoming messages route through this hash. If no function exists to handle an incoming message, then we ignore the message.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | the options to initialize with

Source:
  - flash-worker.js, line 27

### Methods

#### flush(data)

Forces the pipeline to finish processing the last segment and emit it's results.

##### Parameters:

Name | Type | Description
--- | --- | ---
`data` | Object | event data, not really used

Source:
  - flash-worker.js, line 78

#### init()

initialize our web worker and wire all the events.

Source:
  - flash-worker.js, line 43

#### push(data)

Adds data (a ts segment) to the start of the transmuxer pipeline for processing.

##### Parameters:

Name | Type | Description
--- | --- | ---
`data` | ArrayBuffer | data to push into the muxer

Source:
  - flash-worker.js, line 57

#### reset()

Recreate the transmuxer so that the next segment added via `push` start with a fresh transmuxer.

Source:
  - flash-worker.js, line 68